# CKEditor&nbsp;5 comments

[![npm version](https://badge.fury.io/js/%40ckeditor%2Fckeditor5-comments.svg)](https://www.npmjs.com/package/@ckeditor/ckeditor5-comments)

[CKEditor&nbsp;5 comments](https://ckeditor.com/collaboration/comments/) is a collaboration feature that makes it possible to add comments to any part of rich text content in CKEditor&nbsp;5 WYSIWYG editor, including text and block elements such as embedded media or images.

Comments can be added, edited, deleted and replied to, allowing the users to collaborate on the same document directly in the rich text editor. Comments are also integrated with the [track changes feature](https://ckeditor.com/collaboration/track-changes/), so you can add comments to change suggestions.

The comments data can be stored together with the content in your database or it can be synchronized immediately between collaborating clients as a part of the [CKEditor&nbsp;5 real-time collaboration](https://ckeditor.com/collaboration/real-time/) solution.

Comments can be [displayed](https://ckeditor.com/docs/ckeditor5/latest/features/collaboration/comments/comments-display-mode.html) in three modes:
- Wide sidebar:

![A screenshot of CKEditor&nbsp;5 comments feature with suggestions displayed in the wide sidebar](https://c.cksource.com/a/1/img/npm/ckeditor5-comments.png)

- Narrow sidebar:

![CKEditor&nbsp;5 WYSIWYG editor narrow sidebar feature screenshot](https://c.cksource.com/a/1/img/npm/ckeditor5-comments-narrow.png)

- Inline balloons:

![CKEditor&nbsp;5 WYSIWYG editor inline comments feature screenshot](https://c.cksource.com/a/1/img/npm/ckeditor5-comments-inline.png)

Additionally, it is possible to turn the editor to the [comments-only mode](https://ckeditor.com/docs/ckeditor5/latest/features/collaboration/comments/comments-only-mode.html), where the users can add comments to the document but are not allowed to edit its content directly.

## Documentation

For more information about the comments feature see the [CKEditor&nbsp;5 comments documentation](https://ckeditor.com/docs/ckeditor5/latest/features/collaboration/comments/comments.html).

Also, make sure you visit the [CKEditor&nbsp;5 changelog](https://github.com/ckeditor/ckeditor5/blob/master/CHANGELOG.md) whenever a new version of the package is released.

## Browser compatibility

CKEditor&nbsp;5 comments work in all major modern browsers: Chrome, Firefox, Safari, and Edge. They are also compatible with mobile environments: Android and iOS. Refer to the CKEditor&nbsp;5 [Browser compatibility](https://ckeditor.com/docs/ckeditor5/latest/builds/guides/support/browser-compatibility.html) article for more details.

## Getting support

CKEditor&nbsp;5 comments come with outstanding support from a dedicated team of customer care specialists, QA engineers and CKEditor&nbsp;5 developers. The team will gladly assist you in all aspects from setting up your account to integrating CKEditor&nbsp;5 comments features with your application.

As a licensed CKEditor&nbsp;5 comments user you can report bugs and request features directly through the CKEditor Ecosystem customer dashboard.

## License

**CKEditor&nbsp;5 comments** (https://ckeditor.com/collaboration/comments/)<br>
Copyright (c) 2003–2024, [CKSource Holding sp. z o.o.](https://cksource.com) All rights reserved.

CKEditor&nbsp;5 comments feature is licensed under a commercial license and is protected by copyright law.
For more details about available licensing options please contact us at sales@cksource.com.

### Trademarks

**CKEditor** is a trademark of [CKSource Holding sp. z o.o.](https://cksource.com) All other brand and product names are trademarks, registered trademarks or service marks of their respective holders.
