/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
/**
 * @module comments/annotations/view/sidebaritemview
 * @publicApi
 */
import { View, type ViewCollection } from 'ckeditor5/src/ui.js';
import { type Locale } from 'ckeditor5/src/utils.js';
/**
 * A wrapper view that wraps given {@link module:ui/view~View} to display it as a {@link module:comments/annotations/sidebar~Sidebar} item.
 */
export default class SidebarItemView extends View {
    element: HTMLElement;
    /**
     * The item top offset.
     * Setting `0` as the initial value makes new items falling from heaven.
     *
     * @observable
     */
    top: number;
    /**
     * @observable
     */
    bottom: number;
    /**
     * @observable
     */
    height: number;
    /**
     * @observable
     */
    isAnimationDisabled: boolean;
    /**
     * A collection of content views.
     */
    content: ViewCollection;
    /**
     * @inheritDoc
     */
    constructor(locale: Locale);
    /**
     * @inheritDoc
     */
    render(): void;
    /**
     * Updates {@link #height the height property} according to the element's DOM height.
     */
    updateHeight(): void;
    /**
     * @inheritDoc
     */
    destroy(): void;
}
