/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
/**
 * @module comments/comments/ui/view/commentthreadinputview
 */
import { View } from 'ckeditor5/src/ui.js';
import CommentInputView from './commentinputview.js';
import type { Locale } from 'ckeditor5/src/utils.js';
import type { EditorConfig } from 'ckeditor5/src/core.js';
import { UserView, type User } from 'ckeditor5-collaboration/src/collaboration-core.js';
/**
 * View that represents comment input area for a comment thread. Includes editor, user view and buttons.
 */
export default class CommentThreadInputView extends View {
    /**
     * Specifies whether the comment input view should be visible (`true`) or hidden (`false`).
     *
     * @observable
     */
    showInput: boolean;
    /**
     * Comment input view.
     */
    commentInputView: CommentInputView;
    /**
     * User view for the input area. Presents the local user.
     */
    userView: UserView;
    /**
     * @param locale The localization service instance.
     * @param localUser Current local user.
     * @param editorConfig
     */
    constructor(locale: Locale, localUser: User, editorConfig: EditorConfig);
    /**
     * @inheritDoc
     */
    destroy(): Promise<void>;
}
