/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
/**
 * @module comments/comments/ui/view/commentslistview
 */
import { View, type ViewCollection } from 'ckeditor5/src/ui.js';
import { type Locale } from 'ckeditor5/src/utils.js';
import type AnnotationView from '../../../annotations/view/annotationview.js';
/**
 * A view representing the content of comments archive.
 */
export default class CommentsArchiveView extends View {
    /**
     * The flag indicating whether there are items to display in the comments archive.
     *
     * @observable
     */
    isEmpty: boolean;
    /**
     * @param locale The localization service instance.
     * @param annotationViews Resolved comment thread annotation views to render inside the comments archive.
     */
    constructor(locale: Locale, annotationViews: ViewCollection<AnnotationView>);
    /**
     * @inheritDoc
     */
    render(): void;
    /**
     * @inheritDoc
     */
    destroy(): void;
    /**
     * @inheritDoc
     */
    focus(): void;
}
